schemaVersion: "1.0"
pattern:
  id: "bb9e7806a04578e0ad468829"
  className: "ch.nevis.admin.v4.plugin.nevisauth.patterns2.GenericAuthenticationStep"
  name: "Auth_Realm_Main_IDP_Custom_AGOV_IDP_SEC"
  label: "IDP CUSTOM"
  notes: "modified script taken from what Nevis generated when using a SAM IDP Pattern"
  properties:
    authStatesFile: "res://bb9e7806a04578e0ad468829#authStatesFile"
    parameters: "var://idp_sp_sec_settings"
    onSuccess:
    - "pattern://2f81f8b878ef787fc5cc284a"
    onFailure:
    - "pattern://5f7e44f4fb2e3f710e4a3e91"
    nextSteps:
    - "pattern://db4eead0bb25b03205afd79f"
    - "pattern://06515d4815de4afde6f8116a"
    - "pattern://3f719a1e5c1447ee46c69cb2"
    - "pattern://68665057549fd887ea09fb86"
    keyObjects:
    - "pattern://b09a3092a59797b317c06ae4"
